### Function

# Gck Module initialize_finish

#### Declaration [src]

    GckModule*
    gck_module_initialize_finish (
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes the asynchronous initialize operation.

#### Parameters

`result` | `GAsyncResult`
| The asynchronous result.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GckModule`
| The initialized module, or `NULL`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.